Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.commons.codec.digest
Class MessageDigestAlgorithms

    java.lang.Object
      org.apache.commons.codec.digest.MessageDigestAlgorithms

    public class MessageDigestAlgorithms

extends Object

Standard `MessageDigest` algorithm names from the Java Cryptography Architecture Standard Algorithm Name Documentation.

Since:
  1.7
Version:
  $Id: MessageDigestAlgorithms.java 1379782 2012-09-01 15:57:33Z ggregory $
See Also:
  Java Cryptography Architecture Standard Algorithm Name Documentation

Field Summary
`static String` | `MD2` The MD2 message digest algorithm defined in RFC 1319.
`static String` | `MD5` The MD5 message digest algorithm defined in RFC 1321.
`static String` | `SHA_1` The SHA-1 hash algorithm defined in the FIPS PUB 180-2.
`static String` | `SHA_256` The SHA-256 hash algorithm defined in the FIPS PUB 180-2.
`static String` | `SHA_384` The SHA-384 hash algorithm defined in the FIPS PUB 180-2.
`static String` | `SHA_512` The SHA-512 hash algorithm defined in the FIPS PUB 180-2.

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### MD2

    public static final String MD2

  The MD2 message digest algorithm defined in RFC 1319.

  See Also:
    Constant Field Values

### MD5

    public static final String MD5

  The MD5 message digest algorithm defined in RFC 1321.

  See Also:
    Constant Field Values

### SHA_1

    public static final String SHA_1

  The SHA-1 hash algorithm defined in the FIPS PUB 180-2.

  See Also:
    Constant Field Values

### SHA_256

    public static final String SHA_256

  The SHA-256 hash algorithm defined in the FIPS PUB 180-2.

  See Also:
    Constant Field Values

### SHA_384

    public static final String SHA_384

  The SHA-384 hash algorithm defined in the FIPS PUB 180-2.

  See Also:
    Constant Field Values

### SHA_512

    public static final String SHA_512

  The SHA-512 hash algorithm defined in the FIPS PUB 180-2.

  See Also:
    Constant Field Values

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2012 The Apache Software Foundation. All Rights Reserved.